/*
 * DMLib
 * -- Plain streamed file I/O endianess functions
 * Programmed and designed by Matti 'ccr' Hamalainen
 * (C) Copyright 2011 Tecnic Software productions (TNSP)
 */

DM_DEFINE_FFUNC(le16, Uint16, LE16)
DM_DEFINE_FFUNC(le32, Uint32, LE32)

DM_DEFINE_FFUNC(be16, Uint16, BE16)
DM_DEFINE_FFUNC(be32, Uint32, BE32)

#ifdef DM_HAVE_64BIT
DM_DEFINE_FFUNC(le64, Uint64, LE64)
DM_DEFINE_FFUNC(be64, Uint64, BE64)
#endif
